RANDOM(1)

NAME
random - Print out a random number.

SYNOPSIS
random [-dhV] /[expression]/

DESCRIPTION
random is a program that is part of the numeric utilities package. random will print out a random number determined by the expression that you give. The syntax and program is nearly identical to the range program, except that random picks a number at random from the range expression. If no expression is specified, random will print out a random integer between 1 and 100.

OPTIONS
    -h  Help: You're looking at it.
    -V  Increase verbosity.
    -d  Debug mode.  For developers

EXAMPLES
   Random number from 1 to 10.
    $ random /1..10/
    7

   From 1 to 10 or from 15 to 20.
    $ random /1..10,15..20/
    16

   An even number from 0 to 10
    $ random /0..10i2/
    4

   An odd number. Notice the starting number in the range.
    $ random /1..10i2/
    9

   A factor of 3 between 99 and 120.
    $ random /99..120i3/
    111

   A decimal number.
    $ random /1.1..2.5i0.1/
    1.8

   A negative random number.
    $ random /0.0..-2.0i0.3/
    -0.8

BUGS
random is slow when dealing with large ranges to randomly find a number from. This is because it creates a list of all potential numbers before picking one. So it can be memory intensive for large ranges.

SEE ALSO
average(1), bound(1), interval(1), normalize(1), numgrep(1), numprocess(1), numsum(1), range(1), round(1)

COPYRIGHT
random is part of the num-utils package, which is copyrighted by Suso Banderas and released under the GPL license. Please read the COPYING and LICENSE files that came with the num-utils package

  Developers can read the GOALS file and contact me about providing
submitions or help for the project.

MORE INFO
More info on random can be found at:

http://suso.suso.org/programs/num-utils/